yangdong9wei
2009-06-23 15:25 浏览 169
已采纳

我的项目中有错误,不知道缺少什么东西,就是运行不了?

请大家帮忙看看,急呀!!!
在MyEclipse中项目上有个小红X,代码没有问题。不知道缺少什么。怎样修改,才可以运行啊?
以下附件:一个是项目案例,一个是数据库
[b]问题补充:[/b]
导入了这些jar包还是不行,如果有解决方案,请说得具体一些
[b]问题补充:[/b]
但是有的jar包下载不到呀,最好能给我提供一下
[b]问题补充:[/b]
求 jboss-cache.jar 包

  • 点赞
  • 写回答
  • 关注问题
  • 收藏
  • 复制链接分享
  • 邀请回答

7条回答 默认 最新

  • 已采纳
    chengxing6666 chengxing6666 2009-06-23 15:33

    你没有导JAR包了:

    严重性 描述 资源 所在文件夹 位置 创建时间 标识
    2 项目 zf6 缺少必需的库:“WebRoot/WEB-INF/lib/antlr.jar” zf6 2009年6月23日 15:30:58 43830
    2 项目 zf6 缺少必需的库:“WebRoot/WEB-INF/lib/antlr-2.7.5H3.jar” zf6 2009年6月23日 15:30:58 43838
    2 项目 zf6 缺少必需的库:“WebRoot/WEB-INF/lib/asm.jar” zf6 2009年6月23日 15:30:58 43840
    2 项目 zf6 缺少必需的库:“WebRoot/WEB-INF/lib/asm-attrs.jar” zf6 2009年6月23日 15:30:58 43839
    2 项目 zf6 缺少必需的库:“WebRoot/WEB-INF/lib/c3p0-0.9.0.jar” zf6 2009年6月23日 15:30:58 43841
    2 项目 zf6 缺少必需的库:“WebRoot/WEB-INF/lib/cglib-2.1.3.jar” zf6 2009年6月23日 15:30:58 43842
    2 项目 zf6 缺少必需的库:“WebRoot/WEB-INF/lib/commons-beanutils.jar” zf6 2009年6月23日 15:30:58 43831
    2 项目 zf6 缺少必需的库:“WebRoot/WEB-INF/lib/commons-collections-2.1.1.jar” zf6 2009年6月23日 15:30:58 43843
    2 项目 zf6 缺少必需的库:“WebRoot/WEB-INF/lib/commons-digester.jar” zf6 2009年6月23日 15:30:58 43832
    2 项目 zf6 缺少必需的库:“WebRoot/WEB-INF/lib/commons-fileupload.jar” zf6 2009年6月23日 15:30:58 43833
    2 项目 zf6 缺少必需的库:“WebRoot/WEB-INF/lib/commons-logging.jar” zf6 2009年6月23日 15:30:58 43834
    2 项目 zf6 缺少必需的库:“WebRoot/WEB-INF/lib/commons-logging-1.0.4.jar” zf6 2009年6月23日 15:30:58 43844
    2 项目 zf6 缺少必需的库:“WebRoot/WEB-INF/lib/commons-validator.jar” zf6 2009年6月23日 15:30:58 43835
    2 项目 zf6 缺少必需的库:“WebRoot/WEB-INF/lib/concurrent-1.3.2.jar” zf6 2009年6月23日 15:30:58 43845
    2 项目 zf6 缺少必需的库:“WebRoot/WEB-INF/lib/connector.jar” zf6 2009年6月23日 15:30:58 43846
    2 项目 zf6 缺少必需的库:“WebRoot/WEB-INF/lib/dom4j-1.6.1.jar” zf6 2009年6月23日 15:30:58 43847
    2 项目 zf6 缺少必需的库:“WebRoot/WEB-INF/lib/ehcache-1.1.jar” zf6 2009年6月23日 15:30:58 43848
    2 项目 zf6 缺少必需的库:“WebRoot/WEB-INF/lib/hibernate3.jar” zf6 2009年6月23日 15:30:58 43849
    2 项目 zf6 缺少必需的库:“WebRoot/WEB-INF/lib/jaas.jar” zf6 2009年6月23日 15:30:58 43850
    2 项目 zf6 缺少必需的库:“WebRoot/WEB-INF/lib/jacc-1_0-fr.jar” zf6 2009年6月23日 15:30:58 43851
    2 项目 zf6 缺少必需的库:“WebRoot/WEB-INF/lib/jakarta-oro.jar” zf6 2009年6月23日 15:30:58 43836
    2 项目 zf6 缺少必需的库:“WebRoot/WEB-INF/lib/jaxen-1.1-beta-7.jar” zf6 2009年6月23日 15:30:58 43852
    2 项目 zf6 缺少必需的库:“WebRoot/WEB-INF/lib/jboss-cache.jar” zf6 2009年6月23日 15:30:58 43853
    2 项目 zf6 缺少必需的库:“WebRoot/WEB-INF/lib/jboss-common.jar” zf6 2009年6月23日 15:30:58 43854
    2 项目 zf6 缺少必需的库:“WebRoot/WEB-INF/lib/jboss-jmx.jar” zf6 2009年6月23日 15:30:58 43855
    2 项目 zf6 缺少必需的库:“WebRoot/WEB-INF/lib/jboss-system.jar” zf6 2009年6月23日 15:30:58 43856
    2 项目 zf6 缺少必需的库:“WebRoot/WEB-INF/lib/jdbc2_0-stdext.jar” zf6 2009年6月23日 15:30:58 43857
    2 项目 zf6 缺少必需的库:“WebRoot/WEB-INF/lib/jgroups-2.2.8.jar” zf6 2009年6月23日 15:30:58 43858
    2 项目 zf6 缺少必需的库:“WebRoot/WEB-INF/lib/jta.jar” zf6 2009年6月23日 15:30:58 43859
    2 项目 zf6 缺少必需的库:“WebRoot/WEB-INF/lib/log4j-1.2.11.jar” zf6 2009年6月23日 15:30:58 43860
    2 项目 zf6 缺少必需的库:“WebRoot/WEB-INF/lib/oscache-2.1.jar” zf6 2009年6月23日 15:30:58 43861
    2 项目 zf6 缺少必需的库:“WebRoot/WEB-INF/lib/proxool-0.8.3.jar” zf6 2009年6月23日 15:30:58 43862
    2 项目 zf6 缺少必需的库:“WebRoot/WEB-INF/lib/struts.jar” zf6 2009年6月23日 15:30:58 43837
    2 项目 zf6 缺少必需的库:“WebRoot/WEB-INF/lib/swarmcache-1.0rc2.jar” zf6 2009年6月23日 15:30:58 43863
    2 项目 zf6 缺少必需的库:“WebRoot/WEB-INF/lib/xerces-2.6.2.jar” zf6 2009年6月23日 15:30:58 43864
    2 项目 zf6 缺少必需的库:“WebRoot/WEB-INF/lib/xml-apis.jar” zf6 2009年6月23日 15:30:58 43865
    2 项目 zf6 中具有不受限制的类路径容器“Sql Server Driver” zf6 2009年6月23日 15:30:58 43829

    点赞 评论 复制链接分享
  • chengxing6666 chengxing6666 2009-06-23 15:39

    你将上面的所提到的包,手支烤到WebRoot/WEB-INF/lib/下面,再试下。

    点赞 评论 复制链接分享
  • chengxing6666 chengxing6666 2009-06-23 15:45

    如果还不行,你将上面的所有JAR包,打包传上来,我放到我的工程中测试一下。

    点赞 评论 复制链接分享
  • wanghaolovezlq wanghaolovezlq 2009-06-23 15:52

    配置相应的jar包库啊

    点赞 评论 复制链接分享
  • chengxing6666 chengxing6666 2009-06-23 16:15

    我刚才看了,你的JDK要 1.5 以上,HIBERNATE是3.0以后的就可以了,其的JAR包要有

    点赞 评论 复制链接分享
  • chengxing6666 chengxing6666 2009-06-23 16:16

    我想传JAR包给你,可惜这边不能上传附件

    点赞 评论 复制链接分享
  • chengxing6666 chengxing6666 2009-06-23 16:19

    在我本机导包了后,一切OK,没问题,

    点赞 评论 复制链接分享

相关推荐